[![CI workflow](https://github.com/surfzoid/QtVsPlayer/workflows/CI/badge.svg)](https://github.com/surfzoid/QtVsPlayer/actions/workflows/c-cpp.yml)
[![GitHub release (latest SemVer)](https://img.shields.io/github/v/release/surfzoid/QtVsPlayer?logo=github)](https://github.com/surfzoid/QtVsPlayer/releases)
[![Download Releases](https://img.shields.io/github/downloads/surfzoid/QtVsPlayer/latest/total.svg?style=plastic)](https://github.com/surfzoid/QtVsPlayer/releases)
[![Copr build status](https://copr.fedorainfracloud.org/coprs/surfzoid/QtVsPlayer/package/QtVsPlayer/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/surfzoid/QtVsPlayer/package/QtVsPlayer/)  
 
[![Launchpad logo](http://media.launchpad.net/lp-badge-kit/launchpad-badge-w160px.png)](https://launchpad.net/~surfzoid)  

[![Matrix community channel](https://img.shields.io/matrix/QtVsPlayer:matrix.org?label=Community%20channel)](https://app.element.io/#/room/#QtVsPlayer:matrix.org)  


# I wrote QTVsPlayer because after years of search I didn't find anything for Linux, normaly with Windows or Mac dll, QtVsPlayer should be able to compile under Windows and Mac. For happy users, QtVsPlayer need almost feedback, translator, and so on.   

# QtVsPlayer for Hikvision.
Read local video files of Hikvision devices and display blue, green and red vectors. 
This is the end of an full network backup solution in combination with HikNetExtractor.

The Software is licensed, THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  

# Installation  
## For Windows and Mac users.  
Don't forgot to read Mac or Win Read.me  
Manualy download and install from [Release page](https://github.com/surfzoid/QtVsPlayer/releases/latest)  

## For Linux RPM users.  
If Mageia, add MLO repo:  
 
```
su -
password :
#replace 8 by your Mageia version 
#Replace x86_64 by your arch
urpmi.addmedia --distrib https://repository.mageialinux-online.org/8/x86_64/media/core  
urpmi --auto-update
urpmi QtVsPlayer
```
Else add a dnf repo from [COPR](https://copr.fedorainfracloud.org/coprs/surfzoid/)

then

```
su -
password :
dnf install QtVsPlayer  
```

## For Linux DEB users. 
For latest Ubuntu version:

```
sudo add-apt-repository ppa:surfzoid/hikvision
sudo apt update 
sudo apt install qtvsplayer   
```
else, use launchpad ubuntu version selector :
https://launchpad.net/~surfzoid/+archive/ubuntu/hikvision/+index#  
then click on "Technical details about this PPA"

## To compile and install manually
```
git clone https://github.com/surfzoid/QtVsPlayer.git  
cd ./QtVsPlayer  
qmake  
make  #-all -release or -debug  
   
sudo make install  #all-install release-install or debug-install  
QtVsPlayer  
```


# Tips
Double click on the video toggle fullscreen

Middle click on the control move them

use https://github.com/surfzoid/HikNetExtractor in an schedule task to automaticaly download video.  

PI P400 raspian 64 bit, PcmanFm and thunar don't respect the %U in the desktop file but nautillus do it.  

To debug, modify qtloggin.ini, often in /usr/share/qt5 like that : 

```
[Rules]
*.debug=true
qt.*.debug=false
qt.qpa.xcb.xcberror.warning=false
qt.qpa.events=false
qt.qpa.input.events=false
qt.text.font.db=false
QtVsPlayer.debug=true    
```

Gnome users can use Action for nautilus https://github.com/bassmanitram/actions-for-nautilus with folowing conf in  
```
${HOME}/.local/share/actions-for-nautilus/config.json 
``` 
``` {
	"actions": [
		{
			"type": "command",
			"label": "QtVsPlayer",
			"command_line": "QtVsPlayer %B",
			"cwd": "%d"
		},
```

# Dependancies  
If once installed QtVsPlayer doesn't start, go into the installation directory from a terminal : 
``` 
cd /usr/bin  
```
and then check dependancies using  
```
ldd ./QtVsPlayer|grep -i found  
```

Qt5 runtime  
Developer package lib64qt5opengl-devel 

# News 
I finally found HikCnetSdk for arm64, so QtMultimedia is no longer needed to provide a live view.  

Since release QtVsPlayer-Linux-x86_64.v1.0.0-alpha the playlist support only filename format generated by HikNetExtractor
https://github.com/surfzoid/HikNetExtractor  

Add French translation.   
Add RTSP Player.  
Add PTZ, right click, wheel to zoom  
Add presset and patrol  
Now update are in MLO repo : https://www.mageialinux-online.org/wiki/depots-supplementaires-pour-mageia-mlo-repository  

I broken git repo and so rename main to master, to update do on your local copy :  
git branch -m main master  
git fetch origin  
git branch -u origin/master master  
git remote set-head origin -a 

You can now join IRC chanel to have a real time discution about QtVsPlayer :  
https://matrix.to/#/#QtVsPlayer:libera.chat  
or  
https://matrix.to/#/#QtVsPlayer:matrix.org  

classicnotify.sh is a sample to monitor a shared network, for example, video files extracted by HikNetExtractor and saved at home, then send a notify with click action who start QtVsPlayer with the last video saved 

Add a Debian launchpad repository.

2023/03/18 Add a Fedora COPR repository, provide RPMS for Centos, Epel, Fedora, Openeluer, OpenSuse, OracleLinux, Rhel :  
https://copr.fedorainfracloud.org/coprs/surfzoid/QtVsPlayer/  

# Funding  
If you like my job and be happy to buy me a beer or a coffee: 
https://paypal.me/EricPetit  
or  
https://fr.tipeee.com/eric-utopiste  

# Enjoy.  

![Capture d’écran_2022-04-05_08-32-57](https://user-images.githubusercontent.com/20399920/161693235-66add3e2-b790-4b55-b8ed-dccb3d0b6aa5.png)

![Capture d’écran_2022-03-29_08-35-19](https://user-images.githubusercontent.com/20399920/160548537-bf9234a0-5670-4544-9ca9-a8eb5de15b64.png)

![Capture d’écran_2022-03-29_08-24-31](https://user-images.githubusercontent.com/20399920/160547794-04694da8-5c98-4a68-a70d-c938b16ba69b.jpeg)
